%define upstream_name	 Class-DBI-Loader
%define upstream_version 0.34

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Dynamic definition of Class::DBI sub classes
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DM/DMAKI/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Lingua::EN::Inflect)
BuildRequires:	perl(DBI) >= 0.89
BuildArch: noarch


%description
Class::DBI::Loader automate the definition of Class::DBI sub-classes.
scan table schemas and setup columns, primary key.
class names are defined by table names and namespace option.
Class::DBI::Loader supports MySQL, Postgres and SQLite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.340.0-11.mga10
+ Revision: 2197872
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.340.0-10.mga9
+ Revision: 1802355
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-9.mga8
+ Revision: 1493525
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.340.0-8.mga7
+ Revision: 1266307
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.340.0-7.mga6
+ Revision: 1023931
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.340.0-6.mga6
+ Revision: 929422
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 750880
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 683897
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-3.mga4
+ Revision: 509973
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 364331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 28395
- mageia rebuild
- imported package perl-Class-DBI-Loader

